質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.10%

ElcapitanでDeploygateをインストールできない

解決済

回答 1

投稿

  • 評価
  • クリップ 1
  • VIEW 2,104

score 12

El capitann 10.11.5にてDeploygateのコマンドを打つとエラーが出てインストールできません。
ERROR:  While executing gem ... (Errno::EPERM)
Operation not permitted - /usr/bin/launchy

rootless化もやってみましたがダメでした。。。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

El CapitanでSystem Integrity Protection(SIP、いわゆる"rootless")が追加されたことに起因する模様です。

以下の方法で、別の場所にインストールしてみるという方法を試してみてはいかがでしょうか?

sudo gem install -n /usr/local/bin deploygate

なお、Cocoapodsでも似たような事例がありますので、参考としてリンクを提示いたします(cf: MacOSX El Capitanでcocoapodsインストールが出来ない時の対処法 - Qiita)。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/06/14 07:30

    ありがとうございました!
    無事にインストールすることができました。

    El capitanになって仕様変更、、、最近のマックは色々とやっかいです。笑

    キャンセル

  • 2016/06/14 09:01

    インストールは成功しましたが、Deploygateでdg --version などのコマンドを打っても

    MacBook-Air:iOS kogakeiichirou1$ dg --version
    /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/fileutils.rb:245:in `mkdir': Permission denied - /Library/Ruby/Gems/2.0.0/extensions/universal-darwin-15/2.0.0/xcodeproj-0.16.1 (Errno::EACCES)

    と出てしまいます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.10%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る